function [al acc]=nal(data,y0,al,be,ga,la,df,om,aal,bal,hb,pa,acc,id)

%New drawing for common dynamics parameter

[runa nvar]=size(al); ca=al(runa,:);

if sum(pa<=1)>0
    error('The proposal parameter must be greater than one')
end

pb=(ca+1).^(-1).*(pa.*(1-ca) + 2*ca);

if sum(pb<=1) 
    error('The b proposal parameter is wrong')
end

prop=2*betarnd(pa,pb)-1;
bp=(prop +1).^(-1).*(pa .*(1 - prop) + 2*prop);

 q= pdf_al(data,y0,prop,be,ga,la,df,om,aal,bal,hb) - pdf_al(data,y0,ca,be,ga,la,df,om,aal,bal,hb) + ...
     pdf_rb(ca,pa,pb) - pdf_rb(prop,pa,bp) ;
 if id==1
    crit=min(0,sum(q));
    comp=log(rand);
    chg=(crit>=comp);
    new=(prop*chg) + ca*(1-chg);
 elseif id==2
    crit=min(0,q);
    comp=log(rand(1,nvar));
    chg=(crit>=comp);
    new=(prop.*chg) + ca.*(1-chg);
 end

 acc=acc+chg;
al=[ca;new];