function [hb ht]=newhyp(y0,al,be,la,hb,ht,par)

%Gibbs step for the beta hyperparams

chb=hb(length(hb)); cht=ht(length(ht));  cl=la(length(la));
runb=size(be,1); nvar=size(be,2); cb=be(runb,:);
runa=size(al,1); ca=al(runa,:);
runy=size(y0,1); cy0=y0(runy,:);

sbb=(2*par + (cb-chb)*(cb-chb)')/2;
newt=gamrnd(nvar/2+2,1/sbb);

zbar=sum((1-ca.^2).*(cy0));
bb=(nvar*newt*mean(cb) + cl*zbar)/(nvar*newt + cl*sum((1-ca.^2)));

newb=normrnd(bb,1/sqrt(nvar*newt + cl*sum((1-ca.^2))));

ht=[cht;newt];
hb=[chb;newb];