function [p] = pdf_rb(x,a,b)

%log pdf of a beta dist, rescaled to (-1,1)

if ~isequal(length(a),length(b))
    error('Parameters must be of equal lengths')
end

p= (1-a-b)*log(2) - betaln(a,b) + (a-1).*log(1+x) + (b-1).*log(1-x);