function [s]=sumi(data,y0,al,be,ga,om)

%The basic quantity in the exponent

dimd=size(data); tt=dimd(1); nvar=dimd(2);
tim=sum(1-isnan(data)); nobs=sum(tim);
dimb=size(be); runb=dimb(1); 
runa=size(al,1);
ca=al(runa,:);  cg=ga(length(ga)); cb=be(runb,:);
runy=size(y0,1); cy0=y0(runy,:);

s=NaN(1,nvar);

if isequal(nvar*tt,nobs)
    cmb=ones(tt,1)*cb;
    ca=ones(tt,1)*ca;
    dat0=[cy0;data(1:tt-1,:)];
    ker=data - ca.*dat0 - cmb.*(1-ca);
    scl=( ker<=0)*cg + (ker>0)/cg;
    s=sum(om.*(ker.*scl).^2);
else
    for i=1:nvar
        whos=find(~isnan(data(:,i)));
        dati=data(whos,i);
        dat0=[cy0(i);dati(1:tim(i)-1)];
        ker=dati-ca(i)*dat0-cb(i)*(1-ca(i));
        scl= (ker<=0)*cg + (ker>0)/cg;
        s(i)=sum(om(whos,i).*(ker.*scl).^2);
    end
end